Subject: Bug#714 closed by Mike Gabriel <[email-masked]> (Re: [X2Go-Dev] Bug#563: Bug#563: Bug#563: Bug#563: packages broken)

From: [email-masked] (X2Go Bug Tracking System)
Date: Thu, 05 Feb 2015 11:30:03 +0000

This is an automatic notification regarding your Bug report
which was filed against the x2goserver package:

#714: Cannot connect to epel5 servers: Undefined subroutine &main::LOG_UPTO

It has been closed by Mike Gabriel <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mike Gabriel <[email-masked]> by
replying to this email.

-- 
563: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=563
X2Go Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [X2Go-Dev] Bug#563: Bug#563: Bug#563: Bug#563: packages broken
From: Mike Gabriel <[email-masked]>
To: Bengt Giger <[email-masked]>, [email-masked]
Date: Thu, 05 Feb 2015 11:29:06 +0000

Control: close -1

On  Fr 08 Aug 2014 12:36:07 CEST, Bengt Giger wrote:

> Am 08.08.2014 00:01, schrieb Orion Poplawski:
>
>> This has nothing to do with x2go, but is a conflict between your  
>> "rf" repository the the CentOS perl package.
>  I could reproduce the conflict. If acceptable, the package can be  
> downloaded and installed with --replacefiles, because it affects the  
> man page only.

Obviously, #563 can be closed.

> But then I got:
>
>   "make_path" is not exported by the File::Path module
>   Can't continue after import errors at /usr/sbin/x2godbadmin line 25
>
> Another outdated module. Here I found a newer one:
>
> http://rpm.mag-sol.com/Centos/5/x86_64/perl-File-Path-2.08-1.noarch.rpm
>
> Installed with --replacefiles (man page conflict, again) the  
> installation completes.

This has been fixed in Git recently. See #715 [1].

Mike

[1] http://bugs.x2go.org/715

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb

Subject: Cannot connect to epel5 servers: Undefined subroutine &main::LOG_UPTO
From: Michael DePaulo <[email-masked]>
To: [email-masked]
Date: Sat, 3 Jan 2015 10:49:49 -0500

Package: x2goserver
Version: 4.0.1.18
Severity: grave

Server: CentOS 5.11 64-bit
Server distro's version of Perl: 5.8.8-43.el5_11

Client: x2goclient 4.0.3.1
Client OS: Windows 8.1 64-bit

While I was verifying the fix for #699, I noticed that whenever I
attempt to connect to my CentOS 5 server, I get the error:
Connection failed
Undefined subroutine &main::LOG_UPTO called at
/usr/bin/x2golistsessions line 35.

This bug prevents X2Go Server from being used at all on epel5 distros
(RHEL 5, CentOS 5, SL 5, OL 5).

It appears that the cause is that the LOG_UPTO() function is not
available on CentOS 5's version of Perl, 5.8.8. It is available on
CentOS 6 (Perl 5.10.1), hence why my CentOS 6 system is not affected.
http://perldoc.perl.org/5.8.8/Sys/Syslog.html
http://perldoc.perl.org/5.10.1/Sys/Syslog.html